# Events

Equinix provides event data in the Customer Portal and the Equinix API for the following assets:

* Ports - lifecycle events and up/down events.
* Fabric Cloud Routers - lifecycle events, BGP session status, route aggregation state, and route filter state events.
* Precision Time services - lifecycle events
* Virtual Connections - Provisioning/deprovisioning events data is available for connections where a port or cloud router is the a-side. Failure event data is NOT available for Port to ETree connections, cloud router to virtual device connections, or cloud router to IPWAN connections.
* Service Tokens - lifecycle events.
* Company Profiles - profile attribute, tag, and lifecycle events.

Additionally, events are available at the Project and Organization level.

* Projects - Project event data includes lifecycle state events for all assets in the project. Any status change to your asset, including provisioning, deprovisioning, and failures, results in an event being sent. Lifecycle events are available at the Project-level for all of the above assets as well as:

  * Internet Access - lifecycle events, IP Block events, and ASN events.
  * Network Edge Virtual Devices - lifecycle events, Access Control List (ACL), device attribute, reboot, and Device Link Group (DLG) events.
  * Service Profile - lifecycle events.

* Organization Events - These events are from access manager and resource manager to inform organization administrators of the change events happening within the organization such as adding or removing roles for users.

注意

You can also stream event data to third-party data collectors which supports a larger range of event types and assets. See the [Streaming Event Data](#streaming-event-data) section.

## Viewing Specific Asset Events[​](#viewing-specific-asset-events "直接链接到Viewing Specific Asset Events")

You can view or retrieve event data for specific assets in the Customer Portal or the Equinix API. In order to access event data for an asset, you must have a role that grants `read` permissions for that asset.

### Ports[​](#ports "直接链接到Ports")

* Portal
* API

1. Sign in to the Customer Portal and navigate to your [Ports Inventory](/zh-Hans/fabric/ports/fabric-port-inventory.md).

2. Select a port from the list.

3. From the port's detail page, click **Events**.

   ![Screenshot of a port\&#39;s Events tab](/zh-Hans/assets/images/events-port-tab-4e98d2942c279c4c78140cf8bfda8458.png)

To view events for a port, send a `GET` request to the [`/fabric/v4/{asset}/{assetId}/cloudevents`](/zh-Hans/api-catalog/fabricv4.md#tag/Cloud-Events/operation/getCloudEventByAssetId) endpoint. In the path:

* Specify the `asset` as `ports`.
* Specify the `assetID` as the UUID of the port.

Use the optional `fromDateTime` and `toDateTime` query parameters to narrow your results to a specific time period.

Sample cURL Request:

```
curl -X GET 'https://api.equinix.com/fabric/v4/ports/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \

-H 'Content-Type: application/json' \

-H 'Authorization: Bearer <Bearer Token>'
```

### Cloud Routers[​](#cloud-routers "直接链接到Cloud Routers")

* Portal
* API

1. Sign in to the [Customer Portal](http://portal.equinix.com) and navigate to your [Cloud Router Inventory](/zh-Hans/fabric-cloud-router/managing-fcr/fcr-inventory.md).

2. Select a cloud Router from the list.

3. From the cloud router's detail page, click *Events*.

   ![Screenshot of a router\&#39;s Events tab](/zh-Hans/assets/images/events-routers-tab-3c9af1d18e110ab4afbdb75368b742c7.png)

To view events for a cloud router, send a `GET` request to the [`/fabric/v4/{asset}/{assetId}/cloudevents`](/zh-Hans/api-catalog/fabricv4.md#tag/Cloud-Events/operation/getCloudEventByAssetId) endpoint. In the path:

* Specify the `asset` as `routers`.
* Specify the `assetID` as the UUID of the router.

Use the optional `fromDateTime` and `toDateTime` query parameters to narrow your results to a specific time period.

Sample cURL Request:

```
curl -X GET 'https://api.equinix.com/fabric/v4/routers/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \

-H 'Content-Type: application/json' \

-H 'Authorization: Bearer <Bearer Token>'
```

### Connections[​](#connections "直接链接到Connections")

Event data is available for Virtual Connections where a port or cloud router is the a-side.

* Portal
* API

1. Sign in to the Customer Portal and navigate to your [Connections Inventory](/zh-Hans/fabric/managing-connections/fabric-new-connections-inventory.md).

2. Select a connection from the list

3. On the *Connection Details* page, click **Events**.

   ![Screenshot of a connection\&#39;s Events tab](/zh-Hans/assets/images/events-connections-tab-a161a1b0ece5c7d079ece0cb10a13e53.png)

To view events for a connection, send a `GET` request to the [`/fabric/v4/{asset}/{assetId}/cloudevents`](/zh-Hans/api-catalog/fabricv4.md#tag/Cloud-Events/operation/getCloudEventByAssetId) endpoint. In the path:

* Specify the `asset` as `connections`.
* Specify the `assetID` as the UUID of the connection.

Use the optional `fromDateTime` and `toDateTime` query parameters to narrow your results to a specific time period.

Sample cURL Request:

```
curl -X GET 'https://api.equinix.com/fabric/v4/connections/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \

-H 'Content-Type: application/json' \

-H 'Authorization: Bearer <Bearer Token>'
```

### Precision Time[​](#precision-time "直接链接到Precision Time")

* Portal
* API

1. Sign in to the Customer Portal and navigate to your [Precision Time Inventory](/zh-Hans/precision-time/ept-view-update-service.mdx).

2. Select a Precision Time service from the list.

3. From the service's details page, click **Events**.

To view events for a Precision Time service, send a `GET` request to the [`/fabric/v4/{asset}/{assetId}/cloudevents`](/zh-Hans/api-catalog/fabricv4.md#tag/Cloud-Events/operation/getCloudEventByAssetId) endpoint. In the path:

* Specify the `asset` as `timeServices`.
* Specify the `assetID` as the UUID of the Precision Time service.

Use the optional `fromDateTime` and `toDateTime` query parameters to narrow your results to a specific time period.

Sample cURL Request:

```
curl -X GET 'https://api.equinix.com/fabric/v4/timeServices/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \

-H 'Content-Type: application/json' \

-H 'Authorization: Bearer <Bearer Token>'
```

### Service Tokens[​](#service-tokens "直接链接到Service Tokens")

To view events for a service token, send a `GET` request to the [`/fabric/v4/{asset}/{assetId}/cloudevents`](/zh-Hans/api-catalog/fabricv4.md#tag/Cloud-Events/operation/getCloudEventByAssetId) endpoint. In the path:

* Specify the `asset` as `serviceTokens`.
* Specify the `assetID` as the UUID of the Service Token.

Use the optional `fromDateTime` and `toDateTime` query parameters to narrow your results to a specific time period.

Sample cURL Request:

```
curl -X GET 'https://api.equinix.com/fabric/v4/serviceTokens/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \

-H 'Content-Type: application/json' \

-H 'Authorization: Bearer <Bearer Token>'
```

### Company Profiles[​](#company-profiles "直接链接到Company Profiles")

To view events for a Company Profile, send a `GET` request to the [`/fabric/v4/{asset}/{assetId}/cloudevents`](/zh-Hans/api-catalog/fabricv4.md#tag/Cloud-Events/operation/getCloudEventByAssetId) endpoint. In the path:

* Specify the `asset` as `companyProfiles`.
* Specify the `assetID` as the UUID of the Company Profile.

Use the optional `fromDateTime` and `toDateTime` query parameters to narrow your results to a specific time period.

Sample cURL Request:

```
curl -X GET 'https://api.equinix.com/fabric/v4/companyProfiles/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \

-H 'Content-Type: application/json' \

-H 'Authorization: Bearer <Bearer Token>'
```

## Viewing Project Events[​](#viewing-project-events "直接链接到Viewing Project Events")

Project event data includes supported events for all assets in the project, including:

* Ports
* Cloud Routers
* Connections
* Precision Time services
* Company Profiles
* Service Tokens
* Virtual Devices
* Internet Access services
* Service Profiles

To view events for a Project, send a `GET` request to the [`/fabric/v4/{asset}/{assetId}/cloudevents`](/zh-Hans/api-catalog/fabricv4.md#tag/Cloud-Events/operation/getCloudEventByAssetId) endpoint. In the path:

* Specify the `asset` as `projects`.
* Specify the `assetID` as the UUID of the project.

Use the optional `fromDateTime` and `toDateTime` query parameters to narrow your results to a specific time period.

Sample cURL Request:

```
curl -X GET 'https://api.equinix.com/fabric/v4/projects/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \

-H 'Content-Type: application/json' \

-H 'Authorization: Bearer <Bearer Token>'
```

## Viewing Organization Events[​](#viewing-organization-events "直接链接到Viewing Organization Events")

To view events for an Organization, send a `GET` request to the [`/fabric/v4/{asset}/{assetId}/cloudevents`](/zh-Hans/api-catalog/fabricv4.md#tag/Cloud-Events/operation/getCloudEventByAssetId) endpoint. In the path:

* Specify the `asset` as `organizations`.
* Specify the `assetID` as the UUID of the Organization.

Use the optional `fromDateTime` and `toDateTime` query parameters to narrow your results to a specific time period.

Sample cURL Request:

```
curl -X GET 'https://api.equinix.com/fabric/v4/organizations/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \

-H 'Content-Type: application/json' \

-H 'Authorization: Bearer <Bearer Token>'
```

## Search Events[​](#search-events "直接链接到Search Events")

The Equinix API provides the ability to search event data for events matching specified criteria. Currently, the supported asset types for cloud event calls are ports, connections, routers, metros, organizations, projects, virtual devices, and company profiles.

To search the Cloud Events for an asset, send a `POST` request to the [`/fabric/v4/cloudevents/search`](/zh-Hans/api-catalog/fabricv4.md#tag/Cloud-Events/operation/searchCloudEvents) endpoint. Specify your search criteria in the body of the request. Additionally, the `POST /fabric/v4/cloudevents/search` endpoint requires the subject to have a mandatory first level resource UUID.

Sample cURL Request:

```
curl -X POST 'https://api.equinix.com/fabric/v4/cloudevents/search' \

-H 'Content-Type: application/json' \

-H 'Authorization: Bearer $TOKEN' \

-d '{

    "filter": {

        "and": [

            {

                "property": "/type",

                "operator": "IN",

                "values": [

                    "equinix.network_edge.device.*"

                ]

            },

            {

                "property": "/subject",

                "operator": "IN",

                "values": [

                    "/ne/v1/devices/903bb0ad-65cd-422c-94d3-a506cce0a36a*"

                ]

            },

            {

                "property": "/time",

                "operator": "BETWEEN",

                "values": [

                    "2025-08-15T17:31:00.000Z",

                    "2025-08-25T17:31:00.000Z"

                ]

            }

        ]

    },

    "pagination": {

        "offset": 0,

        "limit": 20

    }

}'
```

A complete list of searchable parameters is available in the [API Reference](/zh-Hans/api-catalog/fabricv4.md#tag/Cloud-Events/operation/searchCloudEvents).

## Get Event Details[​](#get-event-details "直接链接到Get Event Details")

To get the details of a specified Cloud Event, send a `GET` request to the [`/fabric/v4/cloudevents/<cloudEventId>`](/zh-Hans/api-catalog/fabricv4.md#tag/Cloud-Events/operation/getCloudEvent) endpoint.

Sample cURL Request:

```
curl -X GET 'https://api.equinix.com/fabric/v4/cloudevents/<cloudEventId>' \

-H 'Content-Type: application/json' \

-H 'Authorization: Bearer <Bearer Token>'
```

## Streaming Event Data[​](#streaming-event-data "直接链接到Streaming Event Data")

Equinix supports streaming event data to a data collection platform. To configure data collection:

* [Create a stream](/zh-Hans/observability/observability/streaming-data/api-managing-streams.mdx).
* [Add your assets, projects, or organizations to the stream](/zh-Hans/observability/observability/streaming-data/api-managing-assets.mdx).
* [Create a subscription](/zh-Hans/observability/observability/streaming-data/api-managing-subscriptions.mdx) to send the data to a data collector.

For a list of available events, refer to the list of [supported events](https://github.com/equinix/equinix-cloudevents). Each event type has a defined schema and all of our event data schemas and data types are published in the [`/equinix/equinix-cloudevents`](https://github.com/equinix/equinix-cloudevents) GitHub repository.
